Index: src/backend/postmaster/pgstat.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/pgstat.c,v
retrieving revision 1.64
diff -c -r1.64 pgstat.c
*** src/backend/postmaster/pgstat.c	27 Mar 2004 17:59:35 -0000	1.64
--- src/backend/postmaster/pgstat.c	1 Apr 2004 02:00:08 -0000
***************
*** 143,161 ****
  static void pgstat_recv_dropdb(PgStat_MsgDropdb *msg, int len);
  static void pgstat_recv_resetcounter(PgStat_MsgResetcounter *msg, int len);
  
- /*
-  *	WIN32 doesn't allow descriptors returned by pipe() to be used in select(),
-  *	so for that platform we use socket() instead of pipe().
-  */
- #ifndef WIN32
- #define pgpipe(a)			pipe(a)
- #define piperead(a,b,c)		read(a,b,c)
- #define pipewrite(a,b,c)	write(a,b,c)
- #else
- extern int pgpipe(int handles[2]); /* pgpipe() is in /src/port */
- #define piperead(a,b,c)		recv(a,b,c,0)
- #define pipewrite(a,b,c)	send(a,b,c,0)
- #endif
  
  /* ------------------------------------------------------------
   * Public functions called from postmaster follow
--- 143,148 ----
Index: src/bin/psql/win32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/win32.mak,v
retrieving revision 1.15
diff -c -r1.15 win32.mak
*** src/bin/psql/win32.mak	26 Oct 2003 04:29:15 -0000	1.15
--- src/bin/psql/win32.mak	1 Apr 2004 02:00:15 -0000
***************
*** 32,37 ****
--- 32,38 ----
  	-@erase "$(INTDIR)\large_obj.obj"
  	-@erase "$(INTDIR)\print.obj"
  	-@erase "$(INTDIR)\describe.obj"
+ 	-@erase "$(INTDIR)\psqlscan.obj"
  	-@erase "$(INTDIR)\tab-complete.obj"
  	-@erase "$(INTDIR)\sprompt.obj"
  	-@erase "$(INTDIR)\getopt.obj"
***************
*** 70,75 ****
--- 71,77 ----
  	"$(INTDIR)\large_obj.obj" \
  	"$(INTDIR)\print.obj" \
  	"$(INTDIR)\describe.obj" \
+ 	"$(INTDIR)\psqlscan.obj" \
  	"$(INTDIR)\tab-complete.obj" \
  	"$(INTDIR)\sprompt.obj" \
  	"$(INTDIR)\getopt.obj" \
***************
*** 115,118 ****
  
  sql_help.h: create_help.pl
          $(PERL) create_help.pl $(REFDOCDIR) $@
- 
--- 117,119 ----
Index: src/include/port.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/port.h,v
retrieving revision 1.23
diff -c -r1.23 port.h
*** src/include/port.h	24 Mar 2004 03:54:16 -0000	1.23
--- src/include/port.h	1 Apr 2004 02:00:15 -0000
***************
*** 38,50 ****
  extern off_t ftello(FILE *stream);
  #endif
  
! #if defined(WIN32) || defined(__CYGWIN__)
  /*
   * Win32 doesn't have reliable rename/unlink during concurrent access
   */
  extern int	pgrename(const char *from, const char *to);
  extern int	pgunlink(const char *path);
- 
  #define rename(from, to)	pgrename(from, to)
  #define unlink(path)		pgunlink(path)
  #endif
--- 38,63 ----
  extern off_t ftello(FILE *stream);
  #endif
  
! /*
!  *	WIN32 doesn't allow descriptors returned by pipe() to be used in select(),
!  *	so for that platform we use socket() instead of pipe().
!  */
! #ifndef WIN32
! #define pgpipe(a)			pipe(a)
! #define piperead(a,b,c)		read(a,b,c)
! #define pipewrite(a,b,c)	write(a,b,c)
! #else
! extern int pgpipe(int handles[2]);
! #define piperead(a,b,c)		recv(a,b,c,0)
! #define pipewrite(a,b,c)	send(a,b,c,0)
! #endif
! 
! #if defined(__MINGW32__) || defined(__CYGWIN__)
  /*
   * Win32 doesn't have reliable rename/unlink during concurrent access
   */
  extern int	pgrename(const char *from, const char *to);
  extern int	pgunlink(const char *path);
  #define rename(from, to)	pgrename(from, to)
  #define unlink(path)		pgunlink(path)
  #endif
***************
*** 52,59 ****
--- 65,74 ----
  #ifdef WIN32
  
  /* open() replacement to allow delete of held files */
+ #ifndef _MSC_VER
  extern int	win32_open(const char*,int,...);
  #define 	open(a,b,...)	win32_open(a,b,##__VA_ARGS__)
+ #endif
  
  extern int	copydir(char *fromdir, char *todir);
  
Index: src/include/libpq/libpq-be.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/libpq/libpq-be.h,v
retrieving revision 1.43
diff -c -r1.43 libpq-be.h
*** src/include/libpq/libpq-be.h	19 Mar 2004 02:23:59 -0000	1.43
--- src/include/libpq/libpq-be.h	1 Apr 2004 02:00:15 -0000
***************
*** 18,24 ****
--- 18,26 ----
  #ifndef LIBPQ_BE_H
  #define LIBPQ_BE_H
  
+ #ifndef _MSC_VER
  #include <sys/time.h>
+ #endif
  #ifdef USE_SSL
  #include <openssl/ssl.h>
  #include <openssl/err.h>
Index: src/interfaces/libpq/libpqdll.def
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/libpq/libpqdll.def,v
retrieving revision 1.24
diff -c -r1.24 libpqdll.def
*** src/interfaces/libpq/libpqdll.def	13 Aug 2003 16:29:03 -0000	1.24
--- src/interfaces/libpq/libpqdll.def	1 Apr 2004 02:00:19 -0000
***************
*** 113,115 ****
--- 113,116 ----
      PQfformat               @ 109
      PQexecPrepared          @ 110
      PQsendQueryPrepared     @ 111
+     PQdsplen                @ 112
Index: src/interfaces/libpq/win32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/libpq/win32.mak,v
retrieving revision 1.21
diff -c -r1.21 win32.mak
*** src/interfaces/libpq/win32.mak	9 Mar 2004 04:53:37 -0000	1.21
--- src/interfaces/libpq/win32.mak	1 Apr 2004 02:00:19 -0000
***************
*** 48,53 ****
--- 48,54 ----
  	-@erase "$(INTDIR)\thread.obj"
  	-@erase "$(INTDIR)\inet_aton.obj"
  	-@erase "$(INTDIR)\crypt.obj"
+ 	-@erase "$(INTDIR)\noblock.obj"
  	-@erase "$(INTDIR)\path.obj"
  	-@erase "$(INTDIR)\dllist.obj"
  	-@erase "$(INTDIR)\md5.obj"
***************
*** 96,101 ****
--- 97,103 ----
  	"$(INTDIR)\thread.obj" \
  	"$(INTDIR)\inet_aton.obj" \
          "$(INTDIR)\crypt.obj" \
+ 	"$(INTDIR)\noblock.obj" \
  	"$(INTDIR)\path.obj" \
  	"$(INTDIR)\dllist.obj" \
  	"$(INTDIR)\md5.obj" \
***************
*** 159,164 ****
--- 161,171 ----
  "$(INTDIR)\crypt.obj" : ..\..\port\crypt.c
      $(CPP) @<<
      $(CPP_PROJ) ..\..\port\crypt.c
+ <<
+ 
+ "$(INTDIR)\noblock.obj" : ..\..\port\noblock.c
+     $(CPP) @<<
+     $(CPP_PROJ) ..\..\port\noblock.c
  <<
  
  "$(INTDIR)\path.obj" : ..\..\port\path.c
